> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Payment Attempt

> Refers to each attempt by the customer to pay using a particular payment method



## OpenAPI

````yaml get /v3/payment_attempt/{id}
openapi: 3.1.0
info:
  title: sandbox
  version: '3'
servers:
  - url: https://service-sandbox.tazapay.com
security:
  - sec0: []
paths:
  /v3/payment_attempt/{id}:
    get:
      summary: Fetch Payment Attempt
      description: >-
        Refers to each attempt by the customer to pay using a particular payment
        method
      operationId: fetch-payment-attempt
      parameters:
        - name: id
          in: path
          description: ID of the payment attempt
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: success
                    message: ''
                    data:
                      amount: 9899
                      balance_transaction: btr_d679f6dqd9ne66lsngb0
                      charge_currency: PLN
                      created_at: '2023-07-23T08:03:29.718275Z'
                      customer: cus_d209e84kspu2df5phfm0
                      customer_details:
                        country: PL
                        email: sowajan1010@gmail.com
                        name: Jan
                        phone:
                          calling_code: '48'
                          number: '1234369'
                      fx_transaction:
                        exchange_rate: 0.219768
                        final:
                          amount: 2173
                          currency: EUR
                        id: fx_d209ek2fhufa9pkp5c4g
                        initial:
                          amount: 9888
                          currency: PLN
                        object: fx_transaction
                      id: pat_d209ek5qd9ne66lsn6gg
                      metadata: null
                      object: payment_attempt
                      payin: chk_d209e85qd65u66lsn1g0
                      payment_method_details:
                        card:
                          cardholder_name: jan cebella
                          checks:
                            cvc_check: pass
                          expiry:
                            month: 7
                            year: 2031
                          first6: '428771'
                          funding: debit
                          issuer: ing bank slaski sa
                          issuing_country: pl
                          last4: '6095'
                          scheme: visa
                          three_d_secure:
                            eci: '05'
                            result: attempt_acknowledged
                            version: 2.2.0
                        type: card
                      reference_id: TR000001385673188
                      refunded: 'true'
                      status: succeeded
                      status_description: ''
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      amount:
                        type: integer
                        default: 0
                      charge_currency:
                        type: string
                      created_at:
                        type: string
                      fx_transaction:
                        $ref: '#/components/schemas/FxTransaction'
                      id:
                        type: string
                      metadata: {}
                      object:
                        type: string
                      payin:
                        type: string
                      payment_method_details:
                        type: object
                        properties:
                          card:
                            type: object
                            properties:
                              amount:
                                type: integer
                                default: 0
                              checks:
                                type: object
                                properties: {}
                              currency:
                                type: string
                              expiry:
                                type: object
                                properties: {}
                              issuing_country:
                                type: string
                              payer_name:
                                type: string
                              three_d_secure:
                                type: object
                                properties: {}
                          type:
                            type: string
                      refunded:
                        type: string
                      status:
                        type: string
                      status_description:
                        type: string
        '400':
          description: Bad Request
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      deprecated: false
components:
  schemas:
    FxTransaction:
      type: object
      description: Details of an FX conversion transaction
      properties:
        exchange_rate:
          type: number
          description: FX exchange rate applied
        final:
          type: object
          description: Final amount and currency after FX conversion
          properties:
            amount:
              type: number
              description: Final amount after FX conversion
            currency:
              type: string
              description: Currency of the final amount
        id:
          type: string
          description: FX transaction ID
        initial:
          type: object
          description: Initial amount and currency before FX conversion
          properties:
            amount:
              type: number
              description: Initial amount before FX conversion
            currency:
              type: string
              description: Currency of the initial amount
        object:
          type: string
          description: Object type (fx_transaction)
    ErrorResponse:
      type: object
      description: Standard error response structure
      properties:
        status:
          type: string
          enum:
            - error
          description: Always 'error' for error responses
        message:
          type: string
          description: High-level error message
        errors:
          type: array
          description: Array of detailed error objects
          items:
            type: object
            properties:
              code:
                type: integer
                description: Specific error code
              message:
                type: string
                description: Detailed error message
              remarks:
                type: string
                description: Additional context or suggestions for resolution
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````